> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Send Quote Email

POST https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails
Content-Type: application/json

Sends an email to the buyer with information on a specific quote based on the provided `quoteId`.

The email address in the `email` field must correspond with the buyer’s email address on the quote. However, you can use the `ccTo` field to include additional recipients.

### Quote Email Templates

The request uses the `emailTemplate` field to format the quote contents with one of the pre-built quote email templates. You must enter the exact name of the template in the field.

The following email templates can be used:

* `Simple`
* `Simple with Pictures`
* `Waves with Pictures`
* `Database with checkout button`
* `Modern with checkout link`
* `Modern without checkout link`

The selected template applies to the quote PDF if `withAttach` is specified as `true`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/quotes/post-rfq-emails

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Body (application/json)

This endpoint expects an object.

- `quoteId` (string, required) — The internal numeric ID of the sales quote.
- `email` (string, required) — The recipient's email. This should match the buyer's email on the quote.
- `withAttach` (boolean, required, default: true) — Indicates whether or not a quote PDF will be included with the email.
- `emailTemplate` (enum, required) — The template used to format the quote email.
  - Allowed values: `Simple`, `Simple with Pictures`, `Waves with Pictures`, `Sky`, `Dots`, `Database with checkout button`, `Modern with checkout link`, `Modern without checkout link`
- `ccTo` (list of string, optional) — The list of emails to CC.
- `emailLang` (enum, optional) — The two-letter code for the language of the quote email and PDF, if included.
  - Allowed values: `en`, `nl`, `de`, `fr`, `it`, `ja`, `zh`, `es`

## Response

### 200

OK

- `code` (double, optional) — HTTP Response Code
- `data` (ResponseWithMetaData, optional)
- `meta` (ResponseWithMetaMeta, optional)

## Errors

### 422 Unprocessable Entity Error

Missing or Invalid Data The 422 error occurs if the request fields have unsupported values. Make sure that the `email` field matches the email address of the quote’s assigned buyer, and confirm that you are using allowed values for `emailTemplate` and `emailLang`.

- `code` (double, optional) — HTTP Response Code
- `data` (RfqEmailsPostResponsesContentApplicationJsonSchemaData, optional)
- `meta` (RfqEmailsPostResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### ResponseWithMetaData

### ResponseWithMetaMeta

- `message` (string, optional)

### RfqEmailsPostResponsesContentApplicationJsonSchemaData

- `email_lang` (list of string, optional)

### RfqEmailsPostResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional)

## Examples

**Request**

```json
{
  "quoteId": "98765",
  "email": "buyer.john@example.com",
  "withAttach": true,
  "emailTemplate": "Simple"
}
```

**Response**

```json
{
  "code": 200,
  "data": {},
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Quotes_post-rfq-emails_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails"

payload = {
    "quoteId": "98765",
    "email": "buyer.john@example.com",
    "withAttach": True,
    "emailTemplate": "Simple"
}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Quotes_post-rfq-emails_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails';
const options = {
  method: 'POST',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"quoteId":"98765","email":"buyer.john@example.com","withAttach":true,"emailTemplate":"Simple"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Quotes_post-rfq-emails_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails"

	payload := strings.NewReader("{\n  \"quoteId\": \"98765\",\n  \"email\": \"buyer.john@example.com\",\n  \"withAttach\": true,\n  \"emailTemplate\": \"Simple\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Quotes_post-rfq-emails_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"quoteId\": \"98765\",\n  \"email\": \"buyer.john@example.com\",\n  \"withAttach\": true,\n  \"emailTemplate\": \"Simple\"\n}"

response = http.request(request)
puts response.read_body
```

```java Quotes_post-rfq-emails_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"quoteId\": \"98765\",\n  \"email\": \"buyer.john@example.com\",\n  \"withAttach\": true,\n  \"emailTemplate\": \"Simple\"\n}")
  .asString();
```

```php Quotes_post-rfq-emails_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails', [
  'body' => '{
  "quoteId": "98765",
  "email": "buyer.john@example.com",
  "withAttach": true,
  "emailTemplate": "Simple"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Quotes_post-rfq-emails_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"quoteId\": \"98765\",\n  \"email\": \"buyer.john@example.com\",\n  \"withAttach\": true,\n  \"emailTemplate\": \"Simple\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Quotes_post-rfq-emails_example
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "quoteId": "98765",
  "email": "buyer.john@example.com",
  "withAttach": true,
  "emailTemplate": "Simple"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```